Subject: Re: bug#64783: biber not in $PATH with texlive only

From: Julian Flake <[email-masked]>
Date: Thu, 10 Aug 2023 09:15:20 +0200

Hello,

On Wed, Aug 09 2023, Nicolas Goaziou wrote:

> By default, TeX Live does not provide "biber" executable, only 
> its
> sources (the same is also true, e.g., for Asymptote).

I confirm that installing "texlive" without "texlive-biber" does 
not put "biber" on $PATH, which is intentional, as you write.

>> This is the failure (of building texlive-font-maps) during 
>> system
>> reconfiguration with "texlive" + "texlive-biber" but without
>> "texlive-bin":
>>
>> $ zcat
>> /var/log/guix/drvs/ki/wcw72gaag3yx84hl9vhkk3mdh2ny15-texlive-font-maps.drv.gz
>> Backtrace:
>>           3 (primitive-load
>>           "/gnu/store/jrfjhxwfgsnazg7apkgcasqfrcq?")
>> In ice-9/eval.scm:
>>    619:8  2 (_ #f)
>> In ice-9/boot-9.scm:
>>    140:2  1 (dynamic-wind #<procedure 7ffff77dcba0 at
>>    ice-9/eval.s?> ?)
>> In unknown file:
>>           0 (chdir "/tmp/texlive/share/texmf-dist")
>>
>> ERROR: In procedure chdir:
>> In procedure chdir: No such file or directory
>
> This should now be fixed. I'll let you close the bug if you can 
> confirm
> this.

It is fixed now (by 3481a5cb37cacbb54f74a2b1fa52ffc5c972b09f, I 
guess), thank you!
Having "texlive" + "texlive-biber" in my system configuration lets 
me reconfigure my system and leaves me with "biber" on my $PATH 
again, without having "texlive-bin" installed.

Best Regards,
Julian Flake

-- 
Dipl.-Inf. Julian Flake

Universität Koblenz
Fachbereich Informatik
Institut für Softwaretechnik
Postfach 20 16 02 | D-56016 Koblenz

Tel.: +49 261 287 2787
E-Mail: [email-masked]
Website: https://www.uni-koblenz.de/~flake